// Exports _____________________________________________________________________

/**
 * Get this output by running `git help -a` in your terminal.
 * This might be improved by invoking the help command via `exec` so that this
 * list populates dynamically based on the user’s system.
 *
 * However, there are two problems/considerations with such an approach:
 *   1. Different versions of Git could be susceptible to copy and formatting
 *      changes, making the parsing of that output tricky to implement.
 *
 *   2. This could trigger some serious dependency issues!
 */
module.exports = [
    'add',
    'add--interactive',
    'am',
    'annotate',
    'apply',
    'archimport',
    'archive',
    'bisect',
    'bisect--helper',
    'blame',
    'branch',
    'bundle',
    'cat-file',
    'check-attr',
    'check-ignore',
    'check-mailmap',
    'check-ref-format',
    'checkout',
    'checkout-index',
    'cherry',
    'cherry-pick',
    'citool',
    'clean',
    'clone',
    'column',
    'commit',
    'commit-tree',
    'config',
    'count-objects',
    'credential',
    'credential-cache',
    'credential-cache--daemon',
    'credential-store',
    'cvsexportcommit',
    'cvsimport',
    'cvsserver',
    'daemon',
    'describe',
    'diff',
    'diff-files',
    'diff-index',
    'diff-tree',
    'difftool',
    'difftool--helper',
    'fast-export',
    'fast-import',
    'fetch',
    'fetch-pack',
    'filter-branch',
    'fmt-merge-msg',
    'for-each-ref',
    'format-patch',
    'fsck',
    'fsck-objects',
    'gc',
    'get-tar-commit-id',
    'grep',
    'gui',
    'gui--askpass',
    'hash-object',
    'help',
    'http-backend',
    'http-fetch',
    'http-push',
    'index-pack',
    'init',
    'init-db',
    'instaweb',
    'interpret-trailers',
    'log',
    'ls-files',
    'ls-remote',
    'ls-tree',
    'mailinfo',
    'mailsplit',
    'merge',
    'merge-base',
    'merge-file',
    'merge-index',
    'merge-octopus',
    'merge-one-file',
    'merge-ours',
    'merge-recursive',
    'merge-resolve',
    'merge-subtree',
    'merge-tree',
    'mergetool',
    'mktag',
    'mktree',
    'mv',
    'name-rev',
    'notes',
    'p4',
    'pack-objects',
    'pack-redundant',
    'pack-refs',
    'patch-id',
    'prune',
    'prune-packed',
    'pull',
    'push',
    'quiltimport',
    'read-tree',
    'rebase',
    'receive-pack',
    'reflog',
    'relink',
    'remote',
    'remote-ext',
    'remote-fd',
    'remote-ftp',
    'remote-ftps',
    'remote-http',
    'remote-https',
    'remote-testsvn',
    'repack',
    'replace',
    'request-pull',
    'rerere',
    'reset',
    'rev-list',
    'rev-parse',
    'revert',
    'rm',
    'send-email',
    'send-pack',
    'sh-i18n--envsubst',
    'shell',
    'shortlog',
    'show',
    'show-branch',
    'show-index',
    'show-ref',
    'stage',
    'stash',
    'status',
    'stripspace',
    'submodule',
    'svn',
    'symbolic-ref',
    'tag',
    'unpack-file',
    'unpack-objects',
    'update-index',
    'update-ref',
    'update-server-info',
    'upload-archive',
    'upload-pack',
    'var',
    'verify-commit',
    'verify-pack',
    'verify-tag',
    'web--browse',
    'whatchanged',
    'write-tree',
];
